Loading...
Searching...
No Matches
aliases.hpp File Reference

Provides aliases for qualified. More...

`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/alphabet/nucleotide/dna15.hpp>`
`#include <seqan3/alphabet/nucleotide/dna4.hpp>`
`#include <seqan3/alphabet/nucleotide/dna5.hpp>`
`#include <seqan3/alphabet/nucleotide/rna15.hpp>`
`#include <seqan3/alphabet/nucleotide/rna4.hpp>`
`#include <seqan3/alphabet/nucleotide/rna5.hpp>`
`#include <seqan3/alphabet/quality/concept.hpp>`
`#include <seqan3/alphabet/quality/phred42.hpp>`
`#include <seqan3/alphabet/quality/qualified.hpp>`
Include dependency graph for aliases.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

using | seqan3::dna15q = qualified<dna15, phred42>
| An alphabet that stores a seqan3::dna15 letter and an seqan3::qualified letter at each position.
using | seqan3::dna4q = qualified<dna4, phred42>
| An alphabet that stores a seqan3::dna4 letter and an seqan3::phred42 letter at each position.
using | seqan3::dna5q = qualified<dna5, phred42>
| An alphabet that stores a seqan3::dna5 letter and an seqan3::phred42 letter at each position.
using | seqan3::rna15q = qualified<rna15, phred42>
| An alphabet that stores a seqan3::rna15 letter and an seqan3::qualified letter at each position.
using | seqan3::rna4q = qualified<rna4, phred42>
| An alphabet that stores a seqan3::rna4 letter and an seqan3::phred42 letter at each position.
using | seqan3::rna5q = qualified<rna5, phred42>
| An alphabet that stores a seqan3::rna5 letter and an seqan3::phred42 letter at each position.

## Detailed Description

Provides aliases for qualified.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me